[mythtv-users] mythcal error with 0.22-fixes

Michael T. Dean mtdean at thirdcontact.com
Sun Nov 22 01:15:06 UTC 2009


On 11/21/2009 12:30 PM, aaron wrote:
> On Sat, Nov 21, 2009 at 10:48, David Knight wrote:
>   
>> Cheers, any pointers on what needs to be updated? mythcal or MythTV.py?
>>     
> I interpret Mike's response to mean that mythcal would need to be
> updated.... to call methods defined in MythTV.py, I'd assume.
>
> Unfortunately, I know even less about how to use the MythTV binding
> functions than I do about Python (always meant to learn Python, but
> never had the time). So I'm currently running into the same error you
> are, and stuck on how to fix it :(
>
> But I should focus on getting the rest of the system working first, I
> suppose... :)
>   

Yes, there are 2 options.

Either update the mythcal script to include code to speak the 0.22
protocol--and update mythcal /every/ time the protocol changes.  This
code that speaks the 0.22 protocol would do the exact same thing that
the code in the Python bindings does.

Therefore, the or is to change the mythcal script so that--rather than
trying to speak the 0.22 protocol directly (and updating the mythcal
script with every protocol change)--the mythcal script instead uses the
MythTV Python bindings, which already have the code that speaks the 0.22
protocol /and/ are updated every time the protocol is updated.

Mike

(Can you guess which is my preference?)


More information about the mythtv-users mailing list